# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-07-25 12:16
from __future__ import unicode_literals

from configfactory.utils import json_dumps
from django.db import migrations


def set_settings_json(apps, schema_editor):

    Component = apps.get_model('configfactory', 'Component')

    for component in Component.objects.all():
        setting_base_dict = component.settings
        setting_development_dict = component.settings_development
        setting_staging_dict = component.settings_staging
        setting_production_dict = component.settings_production

        component.settings_json = json_dumps({
            'base': setting_base_dict,
            'development': setting_development_dict,
            'staging': setting_staging_dict,
            'production': setting_production_dict,
        })
        component.save(update_fields=['settings_json'])


class Migration(migrations.Migration):

    dependencies = [
        ('configfactory', '0005_component_settings_json'),
    ]

    operations = [
        migrations.RunPython(
            code=set_settings_json,
            reverse_code=migrations.RunPython.noop
        ),
    ]
